Skip to main content
PATCH
/
api
/
v2
/
integration-capabilities
/
big-segment-store
/
{projectKey}
/
{environmentKey}
/
{integrationKey}
/
{integrationId}
Update big segment store integration
curl --request PATCH \
  --url https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store/{projectKey}/{environmentKey}/{integrationKey}/{integrationId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "op": "replace",
    "path": "/exampleField",
    "value": "new example value"
  }
]
'
{
  "_links": {
    "self": {
      "href": "<string>",
      "type": "<string>"
    },
    "parent": {
      "href": "<string>",
      "type": "<string>"
    },
    "project": {
      "href": "<string>",
      "type": "<string>"
    },
    "environment": {
      "href": "<string>",
      "type": "<string>"
    }
  },
  "_id": "12ab3c4d5ef1a2345bcde67f",
  "integrationKey": "redis",
  "projectKey": "default",
  "environmentKey": "development",
  "config": {},
  "on": true,
  "tags": [],
  "name": "Development environment configuration",
  "version": 1,
  "_status": {
    "available": true,
    "potentiallyStale": false,
    "lastSync": "1717263000000",
    "lastError": "1714584600000",
    "errors": [
      {
        "statusCode": 123,
        "message": "<string>",
        "timestamp": 123
      }
    ]
  },
  "_access": {
    "denied": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ],
    "allowed": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

integrationKey
string<string>
required

The integration key, either redis or dynamodb

integrationId
string<string>
required

The integration ID

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Big segment store response

The location and content type of related resources

_id
string
required

The integration ID

Example:

"12ab3c4d5ef1a2345bcde67f"

integrationKey
enum<string>
required

The integration key

Available options:
redis,
dynamodb
Example:

"redis"

projectKey
string
required

The project key

Example:

"default"

environmentKey
string
required

The environment key

Example:

"development"

config
object
required

The delivery configuration for the given integration provider. Only included when requesting a single integration by ID. Refer to the formVariables field in the corresponding manifest.json for a full list of fields for each integration.

on
boolean
required

Whether the configuration is turned on

Example:

true

tags
string[]
required

List of tags for this configuration

Example:
[]
name
string
required

Name of the configuration

Example:

"Development environment configuration"

version
integer
required

Version of the current configuration

Example:

1

_status
object
required

Details on the connection status of the persistent store integration

_access
object

Details on the allowed and denied actions for this configuration